> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Template by Name or ID

> This endpoint retrieves the full details of an email template in mailercloud. You can fetch a template either by passing the template name or its ID in the query parameters.

```Name
curl --request GET \
  --url  https://cloudapi.mailercloud.com/v1/templates/details?name=example \
  --header 'Authorization: Your API Key here'

```
```ID
curl --request GET \
  --url  https://cloudapi.mailercloud.com/v1/templates/details?id=abc \
  --header 'Authorization: Your API Key here'

```



## OpenAPI

````yaml /openapi-v1.json get /templates/details
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /templates/details:
    get:
      tags:
        - Templates
      summary: Get Template by Name or ID
      description: >-
        This endpoint retrieves the full details of an email template in
        mailercloud. You can fetch a template either by passing the template
        name or its ID in the query parameters.


        ```Name

        curl --request GET \
          --url  https://cloudapi.mailercloud.com/v1/templates/details?name=example \
          --header 'Authorization: Your API Key here'

        ```

        ```ID

        curl --request GET \
          --url  https://cloudapi.mailercloud.com/v1/templates/details?id=abc \
          --header 'Authorization: Your API Key here'

        ```
      operationId: get-template-by-name-or-id
      parameters:
        - name: name
          in: query
          required: false
          schema:
            type: string
          description: Template name to look up. Provide either `name` or `id`.
        - name: id
          in: query
          required: false
          schema:
            type: string
          description: Template ID to look up. Provide either `name` or `id`.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      ampContent:
                        type: string
                      plainText:
                        type: string
                      name:
                        type: string
                      html:
                        type: string
                      categoryId:
                        type: integer
                      createdDate:
                        type: string
                      modifiedDate:
                        type: string
                      status:
                        type: string
                x-examples:
                  Example 1:
                    data:
                      ampContent: ''
                      plainText: Button Button Button Button Button Button
                      name: Edit Preview - 1
                      html: >-
                        <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0
                        Transitional//EN"
                        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

                        <html xmlns="http://www.w3.org/1999/xhtml"
                        xmlns:o="urn:schemas-microsoft-com:office:office">
                        <head> <meta charset="UTF-8"> <meta
                        content="width=device-width, initial-scale=1"
                        name="viewport"> <meta
                        name="x-apple-disable-message-reformatting"> <meta
                        http-equiv="X-UA-Compatible" content="IE=edge"> <meta
                        content="telephone=no" name="format-detection">
                        <title></title> <!--[if (mso 16)]> <style
                        type="text/css"> a {text-decoration: none;} </style>
                        <![endif]--> <!--[if gte mso 9]><style>sup { font-size:
                        100% !important; }</style><![endif]--> <!--[if gte mso
                        9]> <xml> <o:OfficeDocumentSettings>
                        <o:AllowPNG></o:AllowPNG>
                        <o:PixelsPerInch>96</o:PixelsPerInch>
                        </o:OfficeDocumentSettings> </xml> <![endif]--> <style
                        type="text/css">@import
                        url("http://u0090.devimg.salesjio.com/uploads/fonts.css");</style>

                        <style type="text/css"> .rollover:hover .rollover-first
                        {max-height:0px !important;display:none !important;}

                        .rollover:hover .rollover-second {max-height:none
                        !important;display:block !important;}

                        #outlook a {padding:0;}

                        .ml-button {mso-style-priority:100
                        !important;text-decoration:none;}

                        a[x-apple-data-detectors] {color:inherit
                        !important;text-decoration:none
                        !important;font-size:inherit
                        !important;font-family:inherit
                        !important;font-weight:inherit
                        !important;line-height:inherit !important;}

                        .ml-desk-hidden
                        {display:none;float:left;overflow:hidden;width:0;max-height:0;line-height:0;mso-hide:all;}

                        [data-ogsb] .ml-button {border-width:0
                        !important;padding:10px 20px 10px 20px !important;}
                        @media only screen and (max-width:600px) { .st-br
                        {padding-left:10px !important;padding-right:10px
                        !important;}

                        p, ul li, ol li, a {line-height:150% !important;}

                        h1 {font-size:30px !important;line-height:150%
                        !important;}

                        h2 {font-size:26px !important;line-height:150%
                        !important;}

                        h3 {font-size:20px !important;line-height:150%
                        !important;}

                        .ml-content-body h1 a {font-size:30px !important;}

                        .ml-content-body h2 a {font-size:26px !important;}

                        .ml-content-body h3 a {font-size:20px !important;}

                        .ml-menu td a {font-size:14px !important;}

                        *[class="gmail-fix"] {display:none !important;}

                        .ml-m-txt-c, .ml-m-txt-c h1, .ml-m-txt-c h2, .ml-m-txt-c
                        h3 {text-align:center !important;}

                        .ml-m-txt-r, .ml-m-txt-r h1, .ml-m-txt-r h2, .ml-m-txt-r
                        h3 {text-align:right !important;}

                        .ml-m-txt-l, .ml-m-txt-l h1, .ml-m-txt-l h2, .ml-m-txt-l
                        h3 {text-align:left !important;}

                        .ml-m-txt-r img, .ml-m-txt-c img, .ml-m-txt-l img
                        {display:inline !important;}

                        .ml-button-border {display:block !important;}

                        a.ml-button, button.ml-button {display:block
                        !important;border-left-width:0px
                        !important;border-right-width:0px !important;}

                        .ml-adaptive table, .ml-left, .ml-right {width:100%
                        !important;}

                        .ml-content table, .ml-content {width:100%
                        !important;max-width:600px !important;}

                        .ml-adapt-td {display:block !important;width:100%
                        !important;}

                        .adapt-img {width:100% !important;height:auto
                        !important;}

                        .ml-m-p0 {padding:0 !important;}

                        .ml-m-p0r {padding-right:0 !important;}

                        .ml-m-p0l {padding-left:0 !important;}

                        .ml-m-p0t {padding-top:0 !important;}

                        .ml-m-p0b {padding-bottom:0 !important;}

                        .ml-m-p20b {padding-bottom:20px !important;}

                        .ml-mobile-hidden, .ml-hidden {display:none !important;}

                        tr.ml-desk-hidden, td.ml-desk-hidden,
                        table.ml-desk-hidden {width:auto
                        !important;overflow:visible !important;float:none
                        !important;max-height:inherit
                        !important;line-height:inherit !important;}

                        tr.ml-desk-hidden {display:table-row !important;}

                        table.ml-desk-hidden {display:table !important;}

                        td.ml-desk-menu-hidden {display:table-cell !important;}

                        .ml-menu td {width:1% !important;}

                        table.ml-table-not-adapt, .esd-block-html table
                        {width:auto !important;}

                        table.ml-smedia {display:inline-block !important;}

                        table.ml-smedia td {display:inline-block !important;}

                        .mld-url-block {width:100% !important;} }

                        </style>

                        <!--[if gte mso 12]>

                        <style type="text/css">

                        .mso-right { padding-left: 20px;

                        }

                        </style>

                        <![endif]--></head><body
                        style="width:100%;font-family:arial,'helvetica
                        neue',helvetica,sans-serif;-webkit-text-size-adjust:100%;-ms-text-size-adjust:100%;padding:0;Margin:0"><div
                        bgcolor="#F2F6F8" class="ml-wrapper-color"
                        style="background-color: #f2f6f8;"><!--[if gte mso 9]>
                        <v:background xmlns:v="urn:schemas-microsoft-com:vml"
                        fill="t"> <v:fill type="tile" color="#f2f6f8"></v:fill>
                        </v:background> <![endif]--><table cellspacing="0"
                        cellpadding="0" role="presentation" width="100%"
                        bgcolor="#f2f6f8" class="ml-wrapper"
                        style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;padding:0;Margin:0;width:100%;height:100%"><tr><td
                        valign="top" class="mld-email-paddings"
                        style="padding:0;Margin:0"><table cellspacing="0"
                        cellpadding="0" role="presentation" width="100%"
                        align="center" class="ml-content"
                        style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;table-layout:fixed
                        !important;width:100%"><tbody><tr><td align="center"
                        style="Margin:0;padding:0px"><table cellspacing="0"
                        cellpadding="0" role="presentation" align="center"
                        width="600" class="ml-content-body"
                        style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;width:600px"><tbody><tr
                        ><td align="left" class="mld-structure"
                        style="Margin:0;padding:20px 20px 0px"><!--[if
                        mso]><table style="width:560px" cellpadding="0"
                        cellspacing="0"><tr><![endif]--><!--[if mso]><td
                        style="width:560px" valign="top"><![endif]--><table
                        cellspacing="0" cellpadding="0" role="presentation"
                        align="left" class="ml-left"
                        style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;float:left"><tbody><tr
                        class="mld-container"><td align="center" valign="top"
                        class="ml-m-p20b"
                        style="Margin:0;margin:0px;padding:0px;width:560px"><table
                        cellspacing="0" cellpadding="0" role="presentation"
                        width="100%"
                        style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-spacing:0px;padding:0px;border-radius:0px;border-collapse:collapse"><tr
                        class="mld-element"><td align="center"
                        style="Margin:0;padding:0px"><!--[if mso]>

                        <a href="#" target="_blank"> <v:roundrect
                        xmlns:v="urn:schemas-microsoft-com:vml"
                        xmlns:w="urn:schemas-microsoft-com:office:word" href="#"
                        style="height:39px;v-text-anchor:middle;width:87px;"
                        arcsize="13%" stroke="f" fillcolor="#192028">
                        <w:anchorlock></w:anchorlock> <center
                        style="color:#FFFFFF;font-family:arial,'helvetica
                        neue',helvetica,sans-serif;font-size:16px;font-weight:normal;
                        font-style:normal; text-decoration: none;
                        ">Button</center> </v:roundrect>

                        </a>

                        <![endif]--> <!--[if !mso]><!-- --><span
                        class="ml-button-border msohide"
                        style="border-radius:5px;width:auto;background:#192028;display:inline-block"><a
                        href="#" target="_blank" class="ml-button"
                        style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;border-style:solid;border-width:10px
                        20px 10px
                        20px;border-radius:5px;font-size:16px;font-family:arial,'helvetica
                        neue',helvetica,sans-serif;font-weight:normal;font-style:normal;line-height:120%;color:#FFFFFF;text-decoration:none;width:auto;text-align:center;background:#192028;display:inline-block;border-color:#192028">Button</a></span><!--<![endif]--></td></tr></table></td></tr></tbody></table><!--[if
                        mso]></td><![endif]--><!--[if
                        mso]></tr></table><![endif]--></td></tr><tr ><td
                        align="left" class="mld-structure"
                        style="Margin:0;padding:20px 20px 0px"><!--[if
                        mso]><table style="width:560px" cellpadding="0"
                        cellspacing="0"><tr><![endif]--><!--[if mso]><td
                        style="width:270px" valign="top"><![endif]--><table
                        cellspacing="0" cellpadding="0" role="presentation"
                        align="left" class="ml-left"
                        style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;float:left"><tbody><tr
                        class="mld-container"><td align="center" valign="top"
                        class="ml-m-p20b"
                        style="Margin:0;margin:0px;padding:0px;width:270px"><table
                        cellspacing="0" cellpadding="0" role="presentation"
                        width="100%"
                        style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-spacing:0px;padding:0px;border-radius:0px;border-collapse:collapse"><tr
                        class="mld-element"><td align="center"
                        style="Margin:0;padding:0px"><!--[if mso]>

                        <a href="#" target="_blank"> <v:roundrect
                        xmlns:v="urn:schemas-microsoft-com:vml"
                        xmlns:w="urn:schemas-microsoft-com:office:word" href="#"
                        style="height:39px;v-text-anchor:middle;width:87px;"
                        arcsize="13%" stroke="f" fillcolor="#50E3C2">
                        <w:anchorlock></w:anchorlock> <center
                        style="color:#FFFFFF;font-family:arial,'helvetica
                        neue',helvetica,sans-serif;font-size:16px;font-weight:normal;
                        font-style:normal; text-decoration: none;
                        ">Button</center> </v:roundrect>

                        </a>

                        <![endif]--> <!--[if !mso]><!-- --><span
                        class="ml-button-border msohide"
                        style="border-radius:5px;width:auto;background:#50e3c2;display:inline-block"><a
                        href="#" target="_blank" class="ml-button"
                        style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;border-style:solid;border-width:10px
                        20px 10px
                        20px;border-radius:5px;font-size:16px;font-family:arial,'helvetica
                        neue',helvetica,sans-serif;font-weight:normal;font-style:normal;line-height:120%;color:#FFFFFF;text-decoration:none;width:auto;text-align:center;background:#50e3c2;display:inline-block;border-color:#50e3c2">Button</a></span><!--<![endif]--></td></tr></table></td></tr></tbody></table><!--[if
                        mso]></td><td width="20"></td><![endif]--><!--[if
                        mso]><td style="width:270px"
                        valign="top"><![endif]--><table cellspacing="0"
                        cellpadding="0" role="presentation" align="right"
                        class="ml-right"
                        style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;float:right"><tbody><tr
                        class="mld-container"><td align="center" valign="top"
                        style="Margin:0;margin:0px;padding:0px;width:270px"><table
                        cellspacing="0" cellpadding="0" role="presentation"
                        width="100%"
                        style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-spacing:0px;padding:0px;border-radius:0px;border-collapse:collapse"><tr
                        class="mld-element"><td align="center"
                        style="Margin:0;padding:0px"><!--[if mso]>

                        <a href="#" target="_blank"> <v:roundrect
                        xmlns:v="urn:schemas-microsoft-com:vml"
                        xmlns:w="urn:schemas-microsoft-com:office:word" href="#"
                        style="height:39px;v-text-anchor:middle;width:87px;"
                        arcsize="13%" stroke="f" fillcolor="#7ED321">
                        <w:anchorlock></w:anchorlock> <center
                        style="color:#FFFFFF;font-family:arial,'helvetica
                        neue',helvetica,sans-serif;font-size:16px;font-weight:normal;
                        font-style:normal; text-decoration: none;
                        ">Button</center> </v:roundrect>

                        </a>

                        <![endif]--> <!--[if !mso]><!-- --><span
                        class="ml-button-border msohide"
                        style="border-radius:5px;width:auto;background:#7ed321;display:inline-block"><a
                        href="#" target="_blank" class="ml-button"
                        style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;border-style:solid;border-width:10px
                        20px 10px
                        20px;border-radius:5px;font-family:arial,'helvetica
                        neue',helvetica,sans-serif;font-weight:normal;font-style:normal;line-height:120%;text-decoration:none;width:auto;text-align:center;background:#7ed321;color:#ffffff;font-size:16px;display:inline-block;border-color:#7ed321">Button</a></span><!--<![endif]--></td></tr></table></td></tr></tbody></table><!--[if
                        mso]></td><![endif]--><!--[if
                        mso]></tr></table><![endif]--></td></tr><tr ><td
                        align="left" class="mld-structure"
                        style="Margin:0;padding:20px 20px 0px"><!--[if
                        mso]><table style="width:560px" cellpadding="0"
                        cellspacing="0"><tr><![endif]--><!--[if mso]><td
                        style="width:194px" valign="top"><![endif]--><table
                        cellspacing="0" cellpadding="0" role="presentation"
                        align="left" class="ml-left"
                        style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;float:left"><tbody><tr
                        class="mld-container"><td align="center" valign="top"
                        class="ml-m-p20b"
                        style="Margin:0;margin:0px;padding:0px;width:174px"><table
                        cellspacing="0" cellpadding="0" role="presentation"
                        width="100%"
                        style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-spacing:0px;padding:0px;border-radius:0px;border-collapse:collapse"><tr
                        class="mld-element"><td align="center"
                        style="Margin:0;padding:0px"><!--[if mso]>

                        <a href="#" target="_blank"> <v:roundrect
                        xmlns:v="urn:schemas-microsoft-com:vml"
                        xmlns:w="urn:schemas-microsoft-com:office:word" href="#"
                        style="height:39px;v-text-anchor:middle;width:87px;"
                        arcsize="13%" stroke="f" fillcolor="#007BFF">
                        <w:anchorlock></w:anchorlock> <center
                        style="color:#FFFFFF;font-family:arial,'helvetica
                        neue',helvetica,sans-serif;font-size:16px;font-weight:normal;
                        font-style:normal; text-decoration: none;
                        ">Button</center> </v:roundrect>

                        </a>

                        <![endif]--> <!--[if !mso]><!-- --><span
                        class="ml-button-border msohide"
                        style="background:#007BFF;border-radius:5px;width:auto;display:inline-block"><a
                        href="#" target="_blank" class="ml-button"
                        style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;border-style:solid;border-color:#007BFF;border-width:10px
                        20px 10px
                        20px;background:#007BFF;border-radius:5px;font-size:16px;font-family:arial,'helvetica
                        neue',helvetica,sans-serif;font-weight:normal;font-style:normal;line-height:120%;color:#FFFFFF;text-decoration:none;width:auto;text-align:center;display:inline-block">Button</a></span><!--<![endif]--></td></tr></table></td><td
                        class="ml-hidden"
                        style="Margin:0;padding:0px;margin:0px;width:20px"></td></tr></tbody></table><!--[if
                        mso]></td><![endif]--><!--[if mso]><td
                        style="width:173px" valign="top"><![endif]--><table
                        cellspacing="0" cellpadding="0" role="presentation"
                        align="left" class="ml-left"
                        style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;float:left"><tbody><tr
                        class="mld-container"><td align="center" valign="top"
                        class="ml-m-p20b"
                        style="Margin:0;margin:0px;padding:0px;width:173px"><table
                        cellspacing="0" cellpadding="0" role="presentation"
                        width="100%"
                        style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-spacing:0px;padding:0px;border-radius:0px;border-collapse:collapse"><tr
                        class="mld-element"><td align="center"
                        style="Margin:0;padding:0px"><!--[if mso]>

                        <a href="#" target="_blank"> <v:roundrect
                        xmlns:v="urn:schemas-microsoft-com:vml"
                        xmlns:w="urn:schemas-microsoft-com:office:word" href="#"
                        style="height:39px;v-text-anchor:middle;width:87px;"
                        arcsize="13%" strokecolor="#000000" strokeweight="1px"
                        fillcolor="#FB6376"> <w:anchorlock></w:anchorlock>
                        <center
                        style="color:#FFFFFF;font-family:arial,'helvetica
                        neue',helvetica,sans-serif;font-size:16px;font-weight:normal;
                        font-style:normal; text-decoration: none;
                        ">Button</center> </v:roundrect>

                        </a>

                        <![endif]--> <!--[if !mso]><!-- --><span
                        class="ml-button-border msohide"
                        style="border-radius:5px;width:auto;border-bottom:1px
                        solid
                        #000000;background:#fb6376;display:inline-block"><a
                        href="#" target="_blank" class="ml-button"
                        style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;border-style:solid;border-width:10px
                        20px 10px
                        20px;border-radius:5px;font-family:arial,'helvetica
                        neue',helvetica,sans-serif;font-weight:normal;font-style:normal;line-height:120%;text-decoration:none;width:auto;text-align:center;background:#fb6376;color:#ffffff;font-size:16px;display:inline-block;border-color:#fb6376">Button</a></span><!--<![endif]--></td></tr></table></td></tr></tbody></table><!--[if
                        mso]></td><td width="20"></td><![endif]--><!--[if
                        mso]><td style="width:173px"
                        valign="top"><![endif]--><table cellspacing="0"
                        cellpadding="0" role="presentation" align="right"
                        class="ml-right"
                        style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-collapse:collapse;border-spacing:0px;float:right"><tbody><tr
                        class="mld-container"><td align="center" valign="top"
                        style="Margin:0;margin:0px;padding:0px;width:173px"><table
                        cellspacing="0" cellpadding="0" role="presentation"
                        width="100%"
                        style="mso-table-lspace:0pt;mso-table-rspace:0pt;border-spacing:0px;padding:0px;border-radius:0px;border-collapse:collapse"><tr
                        class="mld-element"><td align="center"
                        style="Margin:0;padding:0px"><!--[if mso]>

                        <a href="#" target="_blank"> <v:roundrect
                        xmlns:v="urn:schemas-microsoft-com:vml"
                        xmlns:w="urn:schemas-microsoft-com:office:word" href="#"
                        style="height:39px;v-text-anchor:middle;width:87px;"
                        arcsize="13%" stroke="f" fillcolor="#007BFF">
                        <w:anchorlock></w:anchorlock> <center
                        style="color:#FFFFFF;font-family:arial,'helvetica
                        neue',helvetica,sans-serif;font-size:16px;font-weight:normal;
                        font-style:normal; text-decoration: none;
                        ">Button</center> </v:roundrect>

                        </a>

                        <![endif]--> <!--[if !mso]><!-- --><span
                        class="ml-button-border msohide"
                        style="background:#007BFF;border-radius:5px;width:auto;display:inline-block"><a
                        href="#" target="_blank" class="ml-button"
                        style="-webkit-text-size-adjust:none;-ms-text-size-adjust:none;mso-line-height-rule:exactly;border-style:solid;border-color:#007BFF;border-width:10px
                        20px 10px
                        20px;background:#007BFF;border-radius:5px;font-size:16px;font-family:arial,'helvetica
                        neue',helvetica,sans-serif;font-weight:normal;font-style:normal;line-height:120%;color:#FFFFFF;text-decoration:none;width:auto;text-align:center;display:inline-block">Button</a></span><!--<![endif]--></td></tr></table></td></tr></tbody></table><!--[if
                        mso]></td><![endif]--><!--[if
                        mso]></tr></table><![endif]--></td></tr></tbody></table></td></tr></tbody></table></td></tr></table></div>

                        </body></html>
                      categoryId: 0
                      createdDate: '2025-06-13 03:08:30'
                      modifiedDate: '2025-06-13 03:10:28'
                      status: active
              examples:
                Example-1:
                  value:
                    data:
                      plainText: Hello Reader
                      id: k
                      name: temp 1
                      html: <html>....</html>
                      categoryId: 10
                      createdDate: '2023-06-28 14:04:16'
                      modifiedDate: '2023-07-03 11:24:15'
                      status: active
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                x-examples:
                  Example 1:
                    error: Template Name does not exist
              examples:
                Example-1:
                  value:
                    error: Template Name does not exist
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                x-examples:
                  Example 1:
                    errors:
                      - field: ''
                        message: Authorization failed
              examples:
                Example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````